aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-dbconfig/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 10:01:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:28 +0000
commit26e7fbb6269fddd5efebc069073fead4c6e365b4 (patch)
tree3798a22d7ef7149c6425e668581de1d868823c72 /testing/py-flask-dbconfig/APKBUILD
parentcf9ae6fa41894aa3386740a92b61f9ffd86a4a03 (diff)
downloadaports-26e7fbb6269fddd5efebc069073fead4c6e365b4.tar.gz
aports-26e7fbb6269fddd5efebc069073fead4c6e365b4.tar.bz2
aports-26e7fbb6269fddd5efebc069073fead4c6e365b4.tar.xz
testing/py-flask-dbconfig: new aport
Flask local DB extension https://pypi.python.org/pypi/Flask-DBConfig
Diffstat (limited to 'testing/py-flask-dbconfig/APKBUILD')
-rw-r--r--testing/py-flask-dbconfig/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-dbconfig/APKBUILD b/testing/py-flask-dbconfig/APKBUILD
new file mode 100644
index 0000000000..923d49a1f7
--- /dev/null
+++ b/testing/py-flask-dbconfig/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-dbconfig
+_pkgname=Flask-DBConfig
+pkgver=0.3.12
+pkgrel=0
+pkgdesc="Flask local DB extension"
+url="https://pypi.python.org/pypi/Flask-DBConfig"
+arch="noarch"
+license="MIT"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="82e419da5d9e6bea150dfc200431c853 Flask-DBConfig-0.3.12.tar.gz"
+sha256sums="bd0b1ed52e392b21a92acec77f97978b7a7295ec1cf69c130494c7b7fb73b051 Flask-DBConfig-0.3.12.tar.gz"
+sha512sums="3fd006e4dde523fc12a446aa8c42fb0e69e22d43b303ecd0556433cf6ddbcbbefdbac9a0f2a87236901baab14b42df9a146ee4d44c0ae7014ad24d7b8722b6f4 Flask-DBConfig-0.3.12.tar.gz"